package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class AuditDTO implements Serializable {
    private String auditId;

    private Integer auditType;

    private String commitName;

    private String commitStaffId;

    private String commitStaffName;

    private String commitStaffImg;

    private String commitStoreId;

    private String commitStoreName;

    private String changeField;

    private String oldValue;

    private String newValue;

    private Date commitTime;

    private String enterpriseId;

    private String auditName;

    private Integer auditStatus;

    private String auditReason;

    private Date createTime;

    private Date updateTime;

    private Integer statusFlag;

    private String detail;
    
    private String wxEnterpriseId;

    private String relatedId;

    private String auditStaffId;

    private static final long serialVersionUID = 1L;

	public String getAuditStaffId() {
		return auditStaffId;
	}

	public void setAuditStaffId(String auditStaffId) {
		this.auditStaffId = auditStaffId;
	}

	public String getRelatedId() {
		return relatedId;
	}

	public void setRelatedId(String relatedId) {
		this.relatedId = relatedId;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getCommitStoreName() {
		return commitStoreName;
	}

	public void setCommitStoreName(String commitStoreName) {
		this.commitStoreName = commitStoreName;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public String getAuditId() {
        return auditId;
    }

    public void setAuditId(String auditId) {
        this.auditId = auditId == null ? null : auditId.trim();
    }

    public Integer getAuditType() {
        return auditType;
    }

    public void setAuditType(Integer auditType) {
        this.auditType = auditType;
    }

    public String getCommitName() {
        return commitName;
    }

    public void setCommitName(String commitName) {
        this.commitName = commitName == null ? null : commitName.trim();
    }

    public String getCommitStaffId() {
        return commitStaffId;
    }

    public void setCommitStaffId(String commitStaffId) {
        this.commitStaffId = commitStaffId == null ? null : commitStaffId.trim();
    }

    public String getCommitStaffName() {
        return commitStaffName;
    }

    public void setCommitStaffName(String commitStaffName) {
        this.commitStaffName = commitStaffName == null ? null : commitStaffName.trim();
    }

    public String getCommitStaffImg() {
        return commitStaffImg;
    }

    public void setCommitStaffImg(String commitStaffImg) {
        this.commitStaffImg = commitStaffImg == null ? null : commitStaffImg.trim();
    }

    public String getCommitStoreId() {
        return commitStoreId;
    }

    public void setCommitStoreId(String commitStoreId) {
        this.commitStoreId = commitStoreId == null ? null : commitStoreId.trim();
    }

    public String getChangeField() {
        return changeField;
    }

    public void setChangeField(String changeField) {
        this.changeField = changeField == null ? null : changeField.trim();
    }

    public String getOldValue() {
        return oldValue;
    }

    public void setOldValue(String oldValue) {
        this.oldValue = oldValue == null ? null : oldValue.trim();
    }

    public String getNewValue() {
        return newValue;
    }

    public void setNewValue(String newValue) {
        this.newValue = newValue == null ? null : newValue.trim();
    }

    public Date getCommitTime() {
        return commitTime;
    }

    public void setCommitTime(Date commitTime) {
        this.commitTime = commitTime;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId == null ? null : enterpriseId.trim();
    }

    public String getAuditName() {
        return auditName;
    }

    public void setAuditName(String auditName) {
        this.auditName = auditName == null ? null : auditName.trim();
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditReason() {
        return auditReason;
    }

    public void setAuditReason(String auditReason) {
        this.auditReason = auditReason == null ? null : auditReason.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }
}